execute as @e[tag=la] at @s run tag @s remove la
execute as @e[tag=ra] at @s run tag @s remove ra
execute as @e[tag=pb] at @s run tag @s remove pb
execute as @a at @s anchored eyes run function spark:look
execute as @a[tag=select] at @s run execute as @e[name=rightarrow,type=armor_stand,limit=1] at @s if entity @s[tag=ra] run tp @s 65.5 61.0 5
execute as @a[tag=select] at @s run execute as @e[name=rightarrow,type=armor_stand,limit=1] at @s if entity @s[tag=ra] run setblock 65 61 5 barrier
execute as @a[tag=select] at @s run execute as @e[name=rightarrow,type=armor_stand,limit=1] at @s unless entity @s[tag=ra] run tp 66.5 60.5 6
execute as @a[tag=select] at @s run execute as @e[name=rightarrow,type=armor_stand,limit=1] at @s unless entity @s[tag=ra] run setblock 65 61 5 air

execute as @a[tag=select] at @s run execute as @e[name=leftarrow,type=armor_stand,limit=1] at @s if entity @s[tag=la] run tp @s 65.5 61.0 1
execute as @a[tag=select] at @s run execute as @e[name=leftarrow,type=armor_stand,limit=1] at @s if entity @s[tag=la] run setblock 65 61 1 barrier
execute as @a[tag=select] at @s run execute as @e[name=leftarrow,type=armor_stand,limit=1] at @s unless entity @s[tag=la] run tp @s 66.5 60.5 0
execute as @a[tag=select] at @s run execute as @e[name=leftarrow,type=armor_stand,limit=1] at @s unless entity @s[tag=la] run setblock 65 61 1 air

execute as @a[tag=select] at @s run execute as @e[name=playbutton,type=armor_stand,limit=1] at @s if entity @s[tag=pb] run tp @s 66.0 60.5 3
execute as @a[tag=select] at @s run execute as @e[name=playbutton,type=armor_stand,limit=1] at @s if entity @s[tag=pb] run setblock 65 61 3 barrier 
execute as @a[tag=select] at @s run execute as @e[name=playbutton,type=armor_stand,limit=1] at @s unless entity @s[tag=pb] run tp 66.5 60.2 3.5
execute as @a[tag=select] at @s run execute as @e[name=playbutton,type=armor_stand,limit=1] at @s unless entity @s[tag=pb] run setblock 65 61 3 air

scoreboard objectives add selection dummy
scoreboard players add @a selection 0
scoreboard objectives add click minecraft.used:minecraft.carrot_on_a_stick
scoreboard players set @a[scores={selection=0}] selection 19
scoreboard players set @a[scores={selection=20}] selection 1

execute as @a[scores={click=1..}] if entity @e[type=armor_stand,limit=1,tag=pb] run execute as @p at @s run summon minecraft:item ~ ~2 ~ {Item:{id:"minecraft:redstone",Count:1b}}
execute as @a[scores={click=1..}] if entity @e[type=armor_stand,limit=1,tag=la] run scoreboard players remove @a selection 1
execute as @a[scores={click=1..}] if entity @e[type=armor_stand,limit=1,tag=ra] run scoreboard players add @a selection 1
execute as @a[scores={click=1..}] if entity @e[type=armor_stand,limit=1,tag=ra] at @s run playsound minecraft:ui.button.click player @a ~ ~ ~ 1 1 0.1
execute as @a[scores={click=1..}] if entity @e[type=armor_stand,limit=1,tag=la] at @s run playsound minecraft:ui.button.click player @a ~ ~ ~ 1 0.7 0.1
scoreboard players set @a[scores={click=1..}] click 0

scoreboard objectives add cdd dummy
execute as @e[type=villager] at @s unless score @s cdd matches 1..100 run scoreboard players set @s cdd 100
execute as @e[type=villager,scores={cdd=2..}] at @s run scoreboard players remove @s cdd 1
execute as @e[type=villager,scores={cdd=1}] at @s run kill @s

execute as @e[type=zombie,limit=1] at @s run teleport @e[name=Jeff] ~ ~-36 ~ ~ ~

execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ light_gray_concrete run playsound minecraft:block.conduit.deactivate player @s ~ ~ ~ 0.5 1.8 0.1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ light_gray_concrete run particle minecraft:end_rod ~ ~ ~ 0 0 0 0.1 40 force
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ light_gray_concrete run give @p glass_bottle 1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ light_gray_concrete run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] Glass bottles don't work there.","color":"blue"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ light_gray_concrete run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ green_concrete run playsound minecraft:block.conduit.deactivate player @s ~ ~ ~ 0.5 1.8 0.1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ green_concrete run particle minecraft:end_rod ~ ~ ~ 0 0 0 0.1 40 force
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ green_concrete run give @p glass_bottle 1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ green_concrete run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] Glass bottles don't work there.","color":"blue"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ green_concrete run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ lime_concrete run playsound minecraft:block.conduit.deactivate player @s ~ ~ ~ 0.5 1.8 0.1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ lime_concrete run particle minecraft:end_rod ~ ~ ~ 0 0 0 0.1 40 force
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ lime_concrete run give @p glass_bottle 1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ lime_concrete run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] Glass bottles don't work there.","color":"blue"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ lime_concrete run kill @s
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ purple_concrete run playsound minecraft:block.conduit.deactivate player @s ~ ~ ~ 0.5 1.8 0.1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ purple_concrete run particle minecraft:end_rod ~ ~ ~ 0 0 0 0.1 40 force
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ purple_concrete run give @p glass_bottle 1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ purple_concrete run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] Glass bottles don't work there.","color":"blue"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air if block ~ ~-0.2 ~ purple_concrete run kill @s


execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air run playsound minecraft:block.glass.break master @a ~ ~ ~ 1 1 1
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air run particle minecraft:block minecraft:glass ~ ~ ~ 0 0 0 0 40 force
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air run kill @e[type=villager]
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air run summon villager ~ ~36 ~ {NoAI:1b,Silent:1b,VillagerData:{profession:nitwit,level:99,type:plains},ActiveEffects:[{Id:7,Amplifier:0,Duration:20}]}
execute as @e[type=item,nbt={Item:{id:"minecraft:glass_bottle"}}] at @s unless block ~ ~-0.2 ~ air run kill @s

execute as @e[name=Jeff,type=armor_stand] at @s run particle minecraft:dust 1.66 9.5 1 0.4 ~ ~ ~ 0.5 0 0.5 0.01 100 force
execute as @e[name=Jeff] at @s run execute as @a[distance=..1.4] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","bold":true,"color":"yellow"},{"text":"] You got too close to Jeff! Level Reset.","color":"blue"}]
execute as @e[name=Jeff] at @s run execute as @a[distance=..1.4] run playsound minecraft:test.distract.redblockogg player @a ~ ~ ~ 1 1 1
execute as @e[name=Jeff] at @s run execute as @a[distance=..1.4] run summon minecraft:item ~ ~-4 ~ {Item:{id:"minecraft:redstone",Count:1b}}

execute as @a at @s if block ~ ~-1 ~ minecraft:magenta_glazed_terracotta[facing=south] run tp @s ~ ~ ~-1
execute as @a at @s if block ~ ~-1 ~ minecraft:magenta_glazed_terracotta[facing=north] run tp @s ~ ~ ~1
execute as @a at @s if block ~ ~-1 ~ minecraft:magenta_glazed_terracotta[facing=west] run tp @s ~1 ~ ~
execute as @a at @s if block ~ ~-1 ~ minecraft:magenta_glazed_terracotta[facing=east] run tp @s ~-1 ~ ~

scoreboard objectives add tracebacktime dummy
scoreboard players add @a tracebacktime 0
execute as @a[scores={tracebacktime=21}] at @s run scoreboard players add @a gameplay 1
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=1,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"0","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=2,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"1","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=3,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"2","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=4,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"3","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=5,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"4","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=6,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"5","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=7,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"6","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=8,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"7","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=9,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"8","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run execute as @e[name=10,type=armor_stand] at @s run data merge entity @s {CustomNameVisible:1b,CustomName:'{"text":"9","color":"red"}',Invulnerable:1b,Small:1b}
execute as @a[scores={tracebacktime=21}] at @s run xp add @a 1 levels
execute as @a[scores={tracebacktime=21}] at @s run tp @e[name=4sec] @e[name=3sec,limit=1]
execute as @a[scores={tracebacktime=21}] at @s run tp @e[name=3sec] @e[name=2sec,limit=1]
execute as @a[scores={tracebacktime=21}] at @s run tp @e[name=2sec] @e[name=1sec,limit=1]
execute as @a[scores={tracebacktime=21}] at @s run tp @e[name=1sec] @e[name=Usec,limit=1]
execute as @a[scores={tracebacktime=21}] at @s run tp @e[name=Usec] @s
scoreboard players set @a[scores={tracebacktime=21}] tracebacktime 1
xp set @a[level=4] 1 levels
scoreboard players add @a[scores={tracebacktime=1..20}] tracebacktime 1

execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run execute as @a[tag=trace1] at @s run tp @e[name=4sec,limit=1]
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run execute as @a[tag=trace2] at @s run tp @e[name=4sec,limit=1]
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run execute as @a[tag=trace3] at @s run tp @e[name=4sec,limit=1]
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run tag @a remove trace1
execute as @a[tag=trace2] at @s run tag @a add trace1
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run tag @a remove trace2
execute as @a[tag=trace3] at @s run tag @a add trace2
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run tag @a remove trace3
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run replaceitem entity @a container.1 porkchop{display:{Name:'[{"text":"TRACEBACK","italic":false,"color":"green","bold":true}]',Lore:['[{"text":"Press ","italic":false,"color":"aqua"},{"text":"F","color":"yellow","bold":true},{"text":" ","color":"yellow","bold":false},{"text":"to return to","color":"aqua","bold":false}]','[{"text":"latest ","italic":false,"color":"aqua"},{"text":"PATH","color":"light_purple"},{"text":". "},{"text":"Drop","color":"yellow","bold":true},{"text":" to","bold":false},{"text":"","bold":false,"color":"dark_purple"}]','[{"text":"TRACEBACK","italic":false,"color":"green"},{"text":". ","color":"aqua"},{"text":"TRACEBACK"},{"text":"","color":"dark_purple"}]','[{"text":"amount limited per","italic":false,"color":"aqua"}]','[{"text":"level.","italic":false,"color":"aqua"}]']}} 1
execute as @e[type=item,nbt={Item:{id:"minecraft:porkchop"}}] at @s run kill @s

execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:porkchop"}]}] run tp @a @e[name=Path,limit=1,sort=nearest]
execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:porkchop"}]}] run replaceitem entity @a container.1 porkchop{display:{Name:'[{"text":"TRACEBACK","italic":false,"color":"green","bold":true}]',Lore:['[{"text":"Press ","italic":false,"color":"aqua"},{"text":"F","color":"yellow","bold":true},{"text":" ","color":"yellow","bold":false},{"text":"to return to","color":"aqua","bold":false}]','[{"text":"latest ","italic":false,"color":"aqua"},{"text":"PATH","color":"light_purple"},{"text":". "},{"text":"Drop","color":"yellow","bold":true},{"text":" to","bold":false},{"text":"","bold":false,"color":"dark_purple"}]','[{"text":"TRACEBACK","italic":false,"color":"green"},{"text":". ","color":"aqua"},{"text":"TRACEBACK"},{"text":"","color":"dark_purple"}]','[{"text":"amount limited per","italic":false,"color":"aqua"}]','[{"text":"level.","italic":false,"color":"aqua"}]']}} 1
execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:porkchop"}]}] run replaceitem entity @a weapon.offhand air
execute as @a at @s if block ~ ~-1 ~ magenta_concrete run tp @e[name=Path] @s

execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}]}] run execute as @a at @s run playsound minecraft:block.note_block.snare master @a
execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:0}] run title @a actionbar {"text":"!!! PRESS OFFHAND BUTTON NOW !!! (F by Default) !!!"}
execute if entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar {"text":"!!! PRESS 1 NOW !!!"}

execute if entity @e[type=villager,limit=1,sort=random] run execute as @e[type=zombie,limit=1] at @s run effect clear @s slowness
execute if entity @e[type=villager,limit=1,sort=random] run execute as @e[type=zombie,limit=1] at @s run effect give @s speed 1 2 true
execute unless entity @e[type=villager,limit=1,sort=random] run execute as @e[type=zombie,limit=1] at @s run effect give @s slowness 1 20 true
execute as @e[type=zombie,limit=1] at @s if entity @e[type=villager,limit=1,distance=..1] at @s run kill @e[type=villager,limit=1,sort=nearest]

execute as @a[scores={selection=1},tag=select] at @s run title @s actionbar [{"text":"Level 01 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level1"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=2},tag=select] at @s run title @s actionbar [{"text":"Level 02 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level2"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=3},tag=select] at @s run title @s actionbar [{"text":"Level 03 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level3"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=4},tag=select] at @s run title @s actionbar [{"text":"Level 04 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level4"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=5},tag=select] at @s run title @s actionbar [{"text":"Level 05 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level5"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=6},tag=select] at @s run title @s actionbar [{"text":"Level 06 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level6"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=7},tag=select] at @s run title @s actionbar [{"text":"Level 07 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level7"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=8},tag=select] at @s run title @s actionbar [{"text":"Level 08 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level8"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=9},tag=select] at @s run title @s actionbar [{"text":"Level 09 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level9"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=10},tag=select] at @s run title @s actionbar [{"text":"Level 10 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level10"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=11},tag=select] at @s run title @s actionbar [{"text":"Level 11 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level11"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=12},tag=select] at @s run title @s actionbar [{"text":"Level 12 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level12"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=13},tag=select] at @s run title @s actionbar [{"text":"Level 13 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level13"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=14},tag=select] at @s run title @s actionbar [{"text":"Level 14 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level14"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=15},tag=select] at @s run title @s actionbar [{"text":"Level 15 Selected","color":"gold","bold":"true"},{"text":" ","color":"green"},{"score":{"name":"@s","objective":"Level15"},"color":"green"},{"text":" Stars","color":"green"}]
execute as @a[scores={selection=16},tag=select] at @s run title @s actionbar {"text":"Discord","color":"gold","bold":"true"}
execute as @a[scores={selection=17},tag=select] at @s run title @s actionbar {"text":"Patreon","color":"gold","bold":"true"}
execute as @a[scores={selection=18},tag=select] at @s run title @s actionbar {"text":"Walkthrough","color":"gold","bold":"true"}
execute as @a[scores={selection=19},tag=select] at @s run title @s actionbar {"text":"Secret Level","color":"gold","bold":"true"}

scoreboard objectives add levels dummy
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run function spark:clear
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=1}] run function spark:levelone
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=2,Level1=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level one to play level two.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=2,Level1=1..}] run function spark:leveltwo
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=3,Level2=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level two to play level three.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=3,Level2=1..}] run function spark:levelthree
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=4,Level3=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level three to play level four.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=4,Level3=1..}] run function spark:levelfour
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=5,Level4=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level four to play level five.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=5,Level4=1..}] run function spark:levelfive
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=6,Level5=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level five to play level six.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=6,Level5=1..}] run function spark:levelsix
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=7}] unless entity @s[scores={Level6=2..,Level5=2..,Level4=2..,Level3=2..,Level2=2..,Level1=2..}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least two stars on all previous levels to play level seven!","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=7,Level6=2..,Level5=2..,Level4=2..,Level3=2..,Level2=2..,Level1=2..}] run function spark:levelseven
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=8,Level7=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level seven to play level eight.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=8,Level7=1..}] run function spark:leveleight
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=9,Level8=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level eight to play level nine.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=9,Level8=1..}] run function spark:levelnine
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=10,Level9=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level nine to play level ten.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=10,Level9=1..}] run function spark:levelten
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=11,Level10=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level ten to play level eleven.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=11,Level10=1..}] run function spark:leveleleven
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=12,Level11=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level eleven to play level twelve.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=12,Level11=1..}] run function spark:leveltwelve
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=13,Level12=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level twelve to play level thirteen.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=13,Level12=1..}] run function spark:levelthirteen
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=14}] unless entity @s[scores={Level13=3..,Level12=3..,Level11=3..,Level10=3..,Level9=3..,Level8=3..,Level7=3..,Level6=3..,Level5=3..,Level4=3..,Level2=3..,Level1=3..}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! This level is seriously difficult. You must have all prior stars to play level fourteen.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=14,Level13=3..,Level12=3..,Level11=3..,Level10=3..,Level9=3..,Level8=3..,Level7=3..,Level6=3..,Level5=3..,Level4=3..,Level2=3..,Level1=3..}] run function spark:levelfourteen
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=15,Level14=0}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"]","color":"blue"},{"text":" Error! You must have earned at least one star on level fourteen to play level fifteen.","color":"red"}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=15,Level14=1..}] run function spark:levelfifteen
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=19}] unless entity @s[scores={Level15=3..},tag=Item1,tag=Item2,tag=Item3,tag=Item4,tag=Item5,tag=Item6,tag=Item7,tag=Item8,tag=Item9,tag=Item10,tag=Item11,tag=Item12,tag=Item13,tag=Item14,tag=Item15] run tellraw @a {"text":"This level cannot be played right now, try again later.","color":"red"}
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=19}] unless entity @s[scores={Level15=3..},tag=Item1,tag=Item2,tag=Item3,tag=Item4,tag=Item5,tag=Item6,tag=Item7,tag=Item8,tag=Item9,tag=Item10,tag=Item11,tag=Item12,tag=Item13,tag=Item14,tag=Item15] run playsound minecraft:entity.villager.no player @s
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=19,Level15=3..},tag=Item1,tag=Item2,tag=Item3,tag=Item4,tag=Item5,tag=Item6,tag=Item7,tag=Item8,tag=Item9,tag=Item10,tag=Item11,tag=Item12,tag=Item13,tag=Item14,tag=Item15] run function spark:levelsixteen
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=16}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] Get an early peek at what's to come ","color":"blue"},{"text":"https://discord.gg/WcYbrQe","bold":true,"underlined":true,"color":"green","clickEvent":{"action":"open_url","value":"https://discord.gg/WcYbrQe"}}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=16}] run playsound minecraft:entity.dolphin.play player @s
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=17}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] If you enjoyed this game, consider giving a dollar @ ","color":"blue"},{"text":"https://www.patreon.com/Sparkour","bold":true,"underlined":true,"color":"green","clickEvent":{"action":"open_url","value":"https://www.patreon.com/Sparkour"}}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=17}] run playsound minecraft:entity.dolphin.play player @s
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=18}] run tellraw @a ["",{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] If you ever need it, here's a video walkthrough ","color":"blue"},{"text":"https://youtu.be/jSkX0tZcfKo","bold":true,"underlined":true,"color":"green","clickEvent":{"action":"open_url","value":"https://youtu.be/jSkX0tZcfKo"}}]
execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run execute as @a[scores={selection=18}] run playsound minecraft:entity.dolphin.play player @s

execute as @e[type=item,nbt={Item:{id:"minecraft:redstone"}}] at @s run kill @s

scoreboard objectives add gameplay dummy
scoreboard players add @a gameplay 0
scoreboard players set @a[scores={gameplay=11}] gameplay 1
execute as @a[scores={gameplay=1..5},nbt={SelectedItem:{id:"minecraft:porkchop",Count:1b}}] at @s unless entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar [{"text":"Press ","color":"yellow"},{"text":"F ","color":"gold","bold":"true"},{"text":"to return to PATH (Checkpoint)"}]
execute as @a[scores={gameplay=6..10},nbt={SelectedItem:{id:"minecraft:porkchop",Count:1b}}] at @s unless entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar [{"text":"Press ","color":"yellow"},{"text":"Q ","color":"gold","bold":"true"},{"text":"to TRACEBACK"}]
execute as @a[scores={gameplay=1..10},nbt={SelectedItem:{id:"minecraft:glass_bottle"}}] at @s unless entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar [{"text":"Press ","color":"yellow"},{"text":"Q ","color":"gold","bold":"true"},{"text":"to lure JEFF"}]
execute as @a[scores={gameplay=1..5},nbt={SelectedItem:{id:"minecraft:redstone",Count:1b}}] at @s unless entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar [{"text":"Press ","color":"yellow"},{"text":"F ","color":"gold","bold":"true"},{"text":"to return to Main Menu"}]
execute as @a[scores={gameplay=6..10},nbt={SelectedItem:{id:"minecraft:redstone",Count:1b}}] at @s unless entity @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:glass_bottle"}],SelectedItemSlot:1}] run title @a actionbar [{"text":"Press ","color":"yellow"},{"text":"Q ","color":"gold","bold":"true"},{"text":"to restart current level"}]

effect give @a minecraft:night_vision 1000000 1 true
effect give @a minecraft:saturation 1000000 1 true
function spark:recalltwo
execute as @e[name=Jeff,type=armor_stand] at @s if block ~ ~-1 ~ red_concrete run function spark:redblocks
execute as @a at @s if block ~ ~-1 ~ red_concrete run scoreboard players set @a stupidfix 0
execute as @a at @s if block ~ ~-1 ~ red_concrete run function spark:redblocks

scoreboard players add @a stupidfix 0

execute as @a at @s if block ~ ~-1 ~ white_concrete run function spark:win
execute as @a at @s if block ~ ~-1 ~ black_concrete run function spark:win
function spark:stars
function spark:lines

execute as @a[limit=1,nbt={Inventory:[{Slot:-106b,id:"minecraft:redstone"}]}] at @s run function spark:return
execute as @a at @s if block ~ ~-1 ~ brown_concrete run clear @s minecraft:glass_bottle 1
execute as @a at @s if block ~ ~-1 ~ brown_concrete run summon minecraft:item ~ ~2 ~ {Item:{id:"minecraft:glass_bottle",Count:1b}}
execute as @a at @s if block ~ ~-1 ~ brown_concrete run tp @a @e[name=Path,limit=1,sort=nearest]

execute as @a[tag=select] at @s run particle cloud 70 63.5 3 0 1 2.5 0.05 20 force

scoreboard objectives add PosX dummy
scoreboard objectives add PosZ dummy
scoreboard objectives add PosY dummy
execute as @a at @s store result score @s PosY run data get entity @s Pos[1]
execute as @a[scores={PosY=..42}] at @s run tellraw @a ["",{"text":"\n"},{"text":"[","color":"blue"},{"text":"\u25b6","color":"yellow"},{"text":"] ","color":"blue"},{"text":"Whoa!","bold":true,"italic":true,"color":"gold"},{"text":" Careful there ","color":"yellow"},{"selector":"@s","color":"yellow"},{"text":"!","color":"yellow"},{"text":"\n "}]
execute as @a[scores={PosY=..42}] at @s run particle minecraft:cloud 49 60.5 3 0 1 1 0.04 1000 force
execute as @a[scores={PosY=..42}] at @s run tp @a 48 60 3 -90 0
execute as @a[scores={PosY=..42}] at @s run playsound minecraft:block.anvil.place player @s
execute as @a[scores={PosY=..50},tag=diamond] at @s run effect give @s levitation 1 20 true
execute as @a[scores={PosY=60},tag=diamond] at @s run effect clear @s levitation
execute as @a[scores={PosY=..48},tag=diamond] at @s run playsound minecraft:entity.bat.takeoff player @s

scoreboard objectives add MenuDrop minecraft.dropped:minecraft.carrot_on_a_stick
scoreboard players add @a MenuDrop 0
execute as @e[type=item,nbt={Item:{id:"minecraft:carrot_on_a_stick"}}] at @s run kill @s
execute as @a[scores={MenuDrop=1..}] at @s run replaceitem entity @s weapon.offhand minecraft:carrot_on_a_stick 1
execute as @a[scores={MenuDrop=1..}] at @s run scoreboard players set @a MenuDrop 0